Bug 6545 - нет доступа к CD
: нет доступа к CD
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/propagator)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-15 18:43 by
Modified: 2008-02-15 23:27 (History)


Attachments
вывод 'scanpci -v' в "Ubuntu Linux 5.0" (2.25 KB, text/plain)
2005-04-19 16:40, seriv
no flags Details
fedora core 4: scanpci -v (8.39 KB, text/plain)
2005-07-08 17:33, seriv
no flags Details
pciscan -v -c001 на свежеустановленном компакте рц6 (1.08 KB, text/plain)
2005-09-12 17:24, seriv
no flags Details
вывод lsmod на свежеустановленном компакте рц6 (2.84 KB, text/plain)
2005-09-12 17:25, seriv
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-15 18:43:05
Во время загрузки, после выбора метода установки, всё замирает в крайней левой
точке полоски прогресса. После нажатия Escape обнаруживаю, что нет доступа к
компакт-дисководу, и предлагается вручную выбрать какой модуль загрузить чтобы
попробовать повторно. 
Из того что у мнея есть, на этой машине загрузился без проблем кноппикс, но
там,
увы, pciprobe я не смог найти. Поэтому привожу вывод lspci -v:
----------------
0000:00:00.0 Host bridge: Silicon Integrated Systems [SiS] 760/M760 Host (rev
03)
        Subsystem: Asustek Computer, Inc.: Unknown device 8159
        Flags: bus master, medium devsel, latency 32
        Memory at e0000000 (32-bit, non-prefetchable) [size=64M]
        Capabilities: [a0] AGP version 3.0
        Capabilities: [d0] #08 [0120]
        Capabilities: [f0] #08 [8000]

0000:00:01.0 PCI bridge: Silicon Integrated Systems [SiS] SG86C202 (prog-if 00
[Normal decode])
        Flags: bus master, 66MHz, medium devsel, latency 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: fea00000-feafffff
        Prefetchable memory behind bridge: ee900000-fe8fffff

0000:00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS965 [MuTIOL Media
IO] (rev 47)
        Flags: bus master, medium devsel, latency 0

0000:00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev
01)
(prog-if 80 [Master])
        Subsystem: Asustek Computer, Inc.: Unknown device 8139
        Flags: bus master, medium devsel, latency 128
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at ffa0 [size=16]
        Capabilities: [58] Power Management version 2

0000:00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS]
Sound
Controller (rev a0)
        Subsystem: Asustek Computer, Inc.: Unknown device 810d
        Flags: bus master, medium devsel, latency 64, IRQ 18
        I/O ports at d400 [size=256]
        I/O ports at d000 [size=128]
        Capabilities: [48] Power Management version 2

0000:00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller
(rev 0f) (prog-if 10 [OHCI])
        Subsystem: Asustek Computer, Inc.: Unknown device 8139
        Flags: bus master, medium devsel, latency 64, IRQ 20
        Memory at febf4000 (32-bit, non-prefetchable) [size=4K]

0000:00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller
(rev 0f) (prog-if 10 [OHCI])
        Subsystem: Asustek Computer, Inc.: Unknown device 8139
        Flags: bus master, medium devsel, latency 64, IRQ 21
        Memory at febf5000 (32-bit, non-prefetchable) [size=4K]

0000:00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller
(rev 0f) (prog-if 10 [OHCI])
        Subsystem: Asustek Computer, Inc.: Unknown device 8139
        Flags: bus master, medium devsel, latency 64, IRQ 22
        Memory at febf6000 (32-bit, non-prefetchable) [size=4K]

0000:00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0
Controller
(prog-if 20 [EHCI])
        Subsystem: Asustek Computer, Inc.: Unknown device 8139
        Flags: bus master, medium devsel, latency 64, IRQ 23
        Memory at febf7000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [50] Power Management version 2

0000:00:04.0 Ethernet controller: Silicon Integrated Systems [SiS]: Unknown
device 0190
        Subsystem: Asustek Computer, Inc.: Unknown device 8139
        Flags: bus master, medium devsel, latency 0, IRQ 5
        Memory at febf3c00 (32-bit, non-prefetchable) [size=128]
        I/O ports at cc00 [size=128]
        Capabilities: [40] Power Management version 2

0000:00:05.0 RAID bus controller: Silicon Integrated Systems [SiS]: Unknown
device 0182 (rev 01) (prog-if 85)
        Subsystem: Asustek Computer, Inc.: Unknown device 8139
        Flags: bus master, medium devsel, latency 64, IRQ 11
        I/O ports at ec00 [size=8]
        I/O ports at e800 [size=4]
        I/O ports at e400 [size=8]
        I/O ports at e000 [size=4]
        I/O ports at dc00 [size=16]
        I/O ports at d800 [size=128]
        Capabilities: [58] Power Management version 2

0000:00:06.0 PCI bridge: Silicon Integrated Systems [SiS]: Unknown device 000a
(prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        Capabilities: [b0] #0d [0000]
        Capabilities: [c0] Message Signalled Interrupts: 64bit- Queue=0/0
Enable-
        Capabilities: [d0] #10 [0141]
        Capabilities: [f4] Power Management version 2

0000:00:07.0 PCI bridge: Silicon Integrated Systems [SiS]: Unknown device 000a
(prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        Capabilities: [b0] #0d [0000]
        Capabilities: [c0] Message Signalled Interrupts: 64bit- Queue=0/0
Enable-
        Capabilities: [d0] #10 [0141]
        Capabilities: [f4] Power Management version 2

0000:00:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
        Subsystem: Realtek Semiconductor Co., Ltd. RT8139
        Flags: bus master, medium devsel, latency 64, IRQ 16
        I/O ports at c800 [size=256]
        Memory at febf3800 (32-bit, non-prefetchable) [size=256]
        Expansion ROM at febb0000 [disabled] [size=64K]
        Capabilities: [50] Power Management version 2

0000:00:0a.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1010 Ultra3
SCSI Adapter (rev 01)
        Subsystem: LSI Logic / Symbios Logic: Unknown device 1030
        Flags: bus master, medium devsel, latency 72, IRQ 17
        I/O ports at c000 [size=256]
        Memory at febf3000 (64-bit, non-prefetchable) [size=1K]
        Memory at febea000 (64-bit, non-prefetchable) [size=8K]
        Expansion ROM at feb80000 [disabled] [size=128K]
        Capabilities: [40] Power Management version 2

0000:00:0a.1 SCSI storage controller: LSI Logic / Symbios Logic 53c1010 Ultra3
SCSI Adapter (rev 01)
        Subsystem: LSI Logic / Symbios Logic: Unknown device 1030
        Flags: bus master, medium devsel, latency 72, IRQ 18
        I/O ports at c400 [size=256]
        Memory at febf3400 (64-bit, non-prefetchable) [size=1K]
        Memory at febf0000 (64-bit, non-prefetchable) [size=8K]
        Expansion ROM at febc0000 [disabled] [size=128K]
        Capabilities: [40] Power Management version 2

0000:00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel
        Capabilities: [80] #08 [2101]

0000:00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

0000:00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

0000:00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 NorthBridge
        Flags: fast devsel

0000:01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS]
661FX/M661FX/M661MX/741/M741/760/M760 PCI/AGP (prog-if 00 [VGA])
        Subsystem: Asustek Computer, Inc.: Unknown device 8159
        Flags: 66MHz, medium devsel
        BIST result: 00
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Memory at feae0000 (32-bit, non-prefetchable) [size=128K]
        I/O ports at ac00 [size=128]
        Capabilities: [40] Power Management version 2
        Capabilities: [50] AGP version 3.0
------- Comment #1 From 2005-04-15 19:08:27 -------
А CD какой ? scsi/ide ?

------- Comment #2 From 2005-04-15 23:14:38 -------
(In reply to comment #1)
> А CD какой ? scsi/ide ?
CD ide, правда не просто CD а DVD writer. Сейчас не помню какой марки если 
надо могу сообщить но не раньше воскресенья.
------- Comment #3 From 2005-04-19 16:40:26 -------
Created an attachment (id=830) [details]
вывод 'scanpci -v' в "Ubuntu Linux 5.0"

Вот, чтобы не путаться на этой машине вытащили SCSI карточку для простоты. 
И удалось там заполучить "scanpci -v", так как там без проблем встал ubuntu.
   Сергей
------- Comment #4 From 2005-07-08 17:33:24 -------
Created an attachment (id=974) [details]
fedora core  4: scanpci -v

Вчера попробовал installer-2.9.11.iso, - результат тот же, сообщает что у меня
нет компакт-диска. Жалко, приходится на этом компьютере приспосабливаться к
другим системам. Федора вот тоже установилась  и работает. 
   Сергей.
------- Comment #5 From 2005-08-19 15:31:29 -------
нельзя ли повторить на более свежей версии ? RC4 например.
------- Comment #6 From 2005-08-22 05:18:49 -------
(In reply to comment #5)
> нельзя ли повторить на более свежей версии ? RC4 например.
Проверил, правда не rc4, а rc5. Всё по прежнему, доступа к компакт-диску и не
IDE диску (/dev/hda и /dev/hdc) нет. 
Сейчас я с помощью патча kernel-fix-drivers-ide-pci-sis5513 собрал новое ядро на
основе wks26 (и другие ядра на основе std26 и vs26) и могу предоставить какие
угодно специфически Сизифные листинги с этой машины. Надо lspci, или pciscan?
  Sergey
------- Comment #7 From 2005-08-22 12:39:22 -------
в rc6 будет помещён обновленный propagator, который
обучен грузить ide-generic на всё неопознаное IDE-класса.
Надеюсь, с ним ситууация исправится.

Thank you for understanding the problem :)
------- Comment #8 From 2005-08-31 01:56:12 -------
Спасибо, попробовал rc6. Докладываю: выжить можно.
То есть, я получаю сообщение, что "нет доступа к СД". После этого выбираю в
списке модулей ide-generic. И можно устанавливать, доступ к СД появился.
Если это и предполагалось, то баг можно закрывать. 
Однако мне казалось, что модуль ide-generic обещался быть загружаемым вместо
сообщения "нет доступа к СД". Если это так, то наверно надо исправлять дальше
логику поиска компакт-диска.
(In reply to comment #7)
> в rc6 будет помещён обновленный propagator, который
> обучен грузить ide-generic на всё неопознаное IDE-класса.
> Надеюсь, с ним ситууация исправится.
------- Comment #9 From 2005-08-31 11:47:52 -------
ide-generic должен был загрузиться автоматом, если
не нашлось лучших кандидатов. Коль этого не происходит,
видимо, кандидат нашёлся, но работу свою выполнять отказался.
Хотелось бы видеть вывод pciscan -v -c001 да и обстановку на
инсталлированной системе: какой модуль всё-таки используется
для ide.
------- Comment #10 From 2005-09-12 17:24:25 -------
Created an attachment (id=1106) [details]
pciscan -v -c001 на свежеустановленном компакте рц6
------- Comment #11 From 2005-09-12 17:25:28 -------
Created an attachment (id=1107) [details]
вывод lsmod на свежеустановленном компакте рц6
------- Comment #12 From 2005-09-12 17:25:57 -------
(In reply to comment #9)
> ide-generic должен был загрузиться автоматом, если
> не нашлось лучших кандидатов. Коль этого не происходит,
> видимо, кандидат нашёлся, но работу свою выполнять отказался.
> Хотелось бы видеть вывод pciscan -v -c001 да и обстановку на
> инсталлированной системе: какой модуль всё-таки используется
> для ide.

Проблема с устройством sis5513, это обсуждалось в hardware@altlinux.ru (см.
http://lists.altlinux.ru/pipermail/hardware/2005-July/005727.html и также пакет
http://altlinux.org/index.php?module=sisyphus&package=kernel-fix-drivers-ide-pci-sis5513)

Сейчас установил компакт рц6 на освобождённый раздел и получил pciscan и lspci,
их вывод прилагаю.
   Сергей.
------- Comment #13 From 2005-09-13 08:42:45 -------
vsu: можно ли что-нибудь с этим поделать ?
------- Comment #14 From 2005-09-13 09:10:59 -------
(In reply to comment #13)
> vsu: можно ли что-нибудь с этим поделать ?

Надо смотреть, что там сейчас напатчили по поводу этих чипов; старые патчи
добавляли их поддержку, но ломали поддержку предыдущих чипсетов SiS.

Но в общем случае нужно всегда грузить ide-generic после обнаруженных драйверов
для PCI IDE - иначе та же самая ситуация будет с Intel ICH5/6 с включенным
combined mode (в этом режиме драйвер piix не работает, кроме того, загрузка
ata_piix раньше ide-generic также приведёт к недоступности PATA-устройств).
------- Comment #15 From 2005-09-13 10:59:07 -------
vsu: то есть, _сначала_ всегда грузить ide-generic,
а потом, если повезёт, и специфичный ide модуль ?
или без blacklist'ов не обойтись ?
напоминаю, речь о propagator, где сильно развернуться
не получится.
------- Comment #16 From 2005-09-13 11:24:23 -------
(In reply to comment #15)
> vsu: то есть, _сначала_ всегда грузить ide-generic,
> а потом, если повезёт, и специфичный ide модуль ?

Наоборот - сначала найденные PCI IDE (если есть), потом ide-generic (независимо
от того, нашлись поддерживаемые PCI IDE или нет), и только после этого - SCSI (в
том числе SATA типа ata_piix).  Причём распознавать нужно не по классу
PCI-устройства, а по типу драйвера (mkinitrd сейчас различает драйверы IDE и
SCSI по зависимостям модуля) - SATA-контроллеры Intel ICHx, обслуживаемые
драйвером ata_piix, могут иметь класс PCI-устройства "IDE controller", но
грузить этот драйвер вместе с IDE-драйверами нельзя. Класс "RAID controller"
вообще может быть чем угодно.

Если загрузить ide-generic раньше "правильного" драйвера PCI IDE, ide-generic
захватывает устройство, в результате работа с IDE идёт без DMA.
------- Comment #17 From 2005-09-13 12:09:13 -------
ясно, спасибо, не в этой жизни.
------- Comment #18 From 2008-02-15 23:26:42 -------
Явно не в этой.
------- Comment #19 From 2008-02-15 23:27:18 -------
Закрываю как wontfix